%exam_8_30
clear;
N=0:15;f=(0.7*exp(1i*pi/4)).^N;
z=-300:300;w=(pi/50)*z;
F=f*(exp(-1i*pi/50)).^(N'*z);
subplot(2,1,1);plot(w,abs(F));grid on;
% axis([-2,2,0,8]);
set(gca,'Fontsize',20);
ylabel('幅值','Fontsize',20);xlabel('Frequency(rad/s)','Fontsize',20);
% ylabel('|F|','Fontsize',20);xlabel('Frequency(rad/s)','Fontsize',20);
title('幅度频谱','Fontsize',20);
% title('Amplitude spectrum','Fontsize',20);

subplot(2,1,2);plot(w,angle(F));grid on;
% axis([-2,2,0,8]);
set(gca,'Fontsize',20);
ylabel('相位','Fontsize',20);xlabel('Frequency(rad/s)','Fontsize',20);
% ylabel('Radians','Fontsize',20);xlabel('Frequency(rad/s)','Fontsize',20);
title('相位频谱','Fontsize',20);
% title('Phase spectrum','Fontsize',20);



